/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.internal.compose;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.kernel.interfaces.ICompositionContext;
import org.fortiss.tooling.kernel.interfaces.ICompositor;
import org.fortiss.tooling.kernel.model.IProjectRootElement;
import org.unicase.ecpemfstorebridge.EMFStoreECPProject;

/**
 * {@link ICompositor} implementation for the {@link IProjectRootElement}s.
 * 
 * @author hoelzlf
 * @author $Author$
 * @version $Rev$
 * @levd.rating RED Rev:
 */
public final class EMFStoreECPProjectCompositor implements
		ICompositor<EMFStoreECPProject> {

	/** {@inheritDoc} */
	@Override
	public boolean canCompose(EMFStoreECPProject container, EObject contained,
			ICompositionContext context) {
		return contained instanceof IProjectRootElement;
	}

	/** {@inheritDoc} */
	@Override
	public boolean compose(EMFStoreECPProject container, EObject contained,
			ICompositionContext context) {
		container.addModelElementToRoot(contained);
		return true;
	}
}
